| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# scfImplementationExt3< Class, Super, I1, I2, I3 > Class Template Reference

List of all members.

## Public Member Functions
void * | QueryInterface (scfInterfaceID id, scfInterfaceVersion version)
## Protected Types
typedef Class | scfClassType
typedef scfImplementationExt3< Class,Super,I1, I2, I3 > | scfImplementationType
## Protected Member Functions
template<class T1, class T2, class T3, class T4, class T5, class T6>
| scfImplementationExt3 (Class *object, T1 t1, T2 t2, T3 t3, T4 t4, T5 t5, T6 t6)
template<class T1, class T2, class T3, class T4, class T5>
| scfImplementationExt3 (Class *object, T1 t1, T2 t2, T3 t3, T4 t4, T5 t5)
template<class T1, class T2, class T3, class T4>
| scfImplementationExt3 (Class *object, T1 t1, T2 t2, T3 t3, T4 t4)
template<class T1, class T2, class T3>
| scfImplementationExt3 (Class *object, T1 t1, T2 t2, T3 t3)
template<class T1, class T2>
| scfImplementationExt3 (Class *object, T1 t1, T2 t2)
template<class T1>
| scfImplementationExt3 (Class *object, T1 t1)
| scfImplementationExt3 (Class *object)
virtual | ~scfImplementationExt3 ()
## Protected Attributes
Class * | scfObject

## Detailed Description

### template<class Class, class Super, class I1, class I2, class I3>
class scfImplementationExt3< Class, Super, I1, I2, I3 >

Definition at line 1334 of file scf_implgen.h.

The documentation for this class was generated from the following file:

- csutil/scf_implgen.h